<?php
// $Id: 6ga-abort.php,v 1.10 2012/12/25 19:13:13 name Exp $
//
// 6ga-abort.php
//
//	Copyright (c) 2005-2012 Hiro Sugawara
//	Licensed under terms of GPL 2.0
//
//	Script to abort recording, transcoding, or transferring process
//	This script actually produces no display.
//
//	Arguments:
//		tab=xyz		where cancellation was initiated
//		file=xyz	basename of file to be cancelled
//		choice=xyz	'abort' or 'continue'
//
include('6ga-common.inc');

$bgcolor	= $TABCOLOR[$thistab];
$signature	= substr($thisfile, -8);

$alerttext	= '';

//
// Abort an ongoing process (recording, transcoding, or transferring)
//
if ($choice == 'abort' || $choice == 'stop') {
	$verb	= 'aborted';
	$list = openList($thistab);
	if (readList($list, $thisfile)) {
		$stat	= 'Something';
		$rdir	= $list['dirpath'];
		if (($fh = @fopen("$rdir/$thisfile.stat", 'r')) != NULL) {
			$stat = trim(fgets($fh));
			fclose($fh);
		}

		$ok	= 'could not be ';
		if (file_exists("$rdir/$thisfile.xfrd")) {
			//
			// Stop transfer
			//
			if (($fh = fopen("$rdir/$thisfile.stop", 'w')) != NULL) {
				fputs($fh, 'stop');
				fclose($fh);
			}
			$verb	= 'stopped';
		} else if (($avifile = aviFilePath("$rdir/$thisfilei"))) {
			//
			// Abort transcoding
			//
			unlink($avifile);
			if (!file_exists_2gb($avifile)) {
				$ok	= '';
			}
		} else if (file_exists_2gb("$rdir/$thisfile.mpg2")) {
			//
			// Abort recording
			//
			unlink("$rdir/$thisfile.mpg2");
			if (!file_exists_2gb("$rdir/$thisfile.mpg2")) {
				$ok	= '';
			}
		}
		$alerttext	= sprintf("%s of \"%s\" (%s/%s) %s%s.",
							$stat, $list['iepg']['program-title'],
							$list['iepg']['month'], $list['iepg']['date'],
							$ok, $verb);
	}
	closeList($list);
}

printDocHeader();
$now	= time();

echo <<<END
<HTML>
<HEAD>
</HEAD>

<BODY BGCOLOR='$bgcolor'>
<SCRIPT LANGUAGE=JavaScript>
<!--
var choice		= '$choice';
var alerttext	= '$alerttext';

window.open('6ga.php?tab=$thistab&_time_=$now', '_6ga');
if ((choice == 'abort' || choid == 'stop') && alerttext != '') {
	alert(alerttext);
}
//-->
</SCRIPT>
</BODY>
</HTML>
END;
?>
